accrue.analysis.ast

## Interface AccrueNodeFactory

- All Superinterfaces:
    polyglot.ast.NodeFactory
  All Known Implementing Classes:
    AccrueNodeFactory_c

      public interface AccrueNodeFactory
      extends polyglot.ast.NodeFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Suppress` | `Suppress(polyglot.util.Position pos, java.util.List<polyglot.ast.TypeNode> suppressExs, polyglot.ast.Expr expr)`

    - ### Methods inherited from interface polyglot.ast.NodeFactory

      `AmbAssign, AmbExpr, AmbExpr, AmbPrefix, AmbPrefix, AmbPrefix, AmbPrefix, AmbQualifierNode, AmbQualifierNode, AmbQualifierNode, AmbQualifierNode, AmbReceiver, AmbReceiver, AmbReceiver, AmbReceiver, AmbTypeNode, AmbTypeNode, AmbTypeNode, AmbTypeNode, ArrayAccess, ArrayAccessAssign, ArrayInit, ArrayInit, ArrayTypeNode, Assert, Assert, Assign, Binary, Block, Block, BooleanLit, Branch, Branch, Branch, Break, Break, Break, Call, Call, Call, Call, Call, Call, Call, Call, CanonicalTypeNode, Case, Cast, Catch, CharLit, ClassBody, ClassDecl, ClassDecl, ClassLit, Conditional, ConstructorCall, ConstructorCall, ConstructorDecl, ConstructorDecl, Continue, Continue, Continue, Default, disamb, Do, Empty, Eval, ExprFromQualifiedName, Field, Field, Field, Field, FieldAssign, FieldDecl, FieldDecl, FieldDecl, FieldDecl, FloatLit, For, Formal, Formal, Id, If, If, Import, Initializer, Instanceof, IntLit, Labeled, Labeled, lang, Local, Local, LocalAssign, LocalClassDecl, LocalDecl, LocalDecl, LocalDecl, LocalDecl, MethodDecl, MethodDecl, New, New, New, New, NewArray, NewArray, NewArray, NewArray, NullLit, PackageNode, PrefixFromQualifiedName, QualifierNodeFromQualifiedName, ReceiverFromQualifiedName, Return, Return, SourceCollection, SourceFile, SourceFile, SourceFile, Special, Special, StringLit, Super, Super, SuperCall, SuperCall, Switch, SwitchBlock, Synchronized, This, This, ThisCall, ThisCall, Throw, Try, Try, TypeNodeFromQualifiedName, Unary, Unary, While`

- - ### Method Detail

    - #### Suppress

          Suppress Suppress(polyglot.util.Position pos,
                          java.util.List<polyglot.ast.TypeNode> suppressExs,
                          polyglot.ast.Expr expr)